From cdaf4b79bba8938ac8da620e9ff3758fccba83e4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?M=C3=A5ns=20Rullg=C3=A5rd?= <mans@mansr.com>
Date: Sun, 18 Jul 2010 20:46:44 +0000
Subject: [PATCH] fate: simplify test runner slightly

All tests use the provided helper functions so prepending $target_exec
and using eval is no longer required.

Originally committed as revision 24317 to svn://svn.ffmpeg.org/ffmpeg/trunk
---
 tests/fate-run.sh | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 015aab42918..0bbb5309183 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -66,8 +66,7 @@ fi
 
 mkdir -p "$outdir"
 
-case "$command" in /*) command="$target_exec $command" ;; esac
-eval $command > "$outfile" 2>/dev/null || exit
+$command > "$outfile" 2>/dev/null || exit
 
 case $cmp in
     diff)   diff -u -w "$ref" "$outfile"            ;;
-- 
GitLab